libusermetrics: UserMetricsOutput::ColorTheme Class Reference

libusermetrics

Signals | Public Member Functions | Protected Member Functions | Properties | List of all members
UserMetricsOutput::ColorTheme Class Referenceabstract

ColorTheme for a particular user metric. More...

`#include <libusermetricsoutput/ColorTheme.h>`

Inheritance diagram for UserMetricsOutput::ColorTheme:
[legend]
Collaboration diagram for UserMetricsOutput::ColorTheme:
[legend]

## Signals
void | startChanged (const QColor &color)
| The first / start QColor has changed. More...
void | mainChanged (const QColor &color)
| The middle / main QColor has changed. More...
void | endChanged (const QColor &color)
| The first / end QColor has changed. More...

## Public Member Functions
virtual | ~ColorTheme ()
| Destructor. More...
virtual QColor | start () const =0
| First / start QColor in the ColorTheme. More...
virtual QColor | main () const =0
| Middle / main QColor in the ColorTheme. More...
virtual QColor | end () const =0
| Last / end QColor in the ColorTheme. More...

## Protected Member Functions
| ColorTheme (QObject *parent=0)
| Unusable constructor - class is pure-virtual. More...

## Properties
QColor | start
| First / start QColor in the ColorTheme. More...
QColor | main
| Middle / main QColor in the ColorTheme. More...
QColor | end
| Last / end QColor in the ColorTheme. More...

## Detailed Description

ColorTheme for a particular user metric.

Each ColorTheme has a start, middle (main) and end QColor.

## Constructor & Destructor Documentation

## ◆ ColorTheme()

UserMetricsOutput::ColorTheme::ColorTheme | ( | QObject * | parent = `0` | ) |
| explicitprotected

Unusable constructor - class is pure-virtual.

Parameters

  parent |

## ◆ ~ColorTheme()

virtual UserMetricsOutput::ColorTheme::~ColorTheme | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ end()

virtual QColor UserMetricsOutput::ColorTheme::end | ( |  | ) | const
| pure virtual

Last / end QColor in the ColorTheme.

## ◆ endChanged

void UserMetricsOutput::ColorTheme::endChanged | ( | const QColor & | color | ) |
| signal

The first / end QColor has changed.

Parameters

  color |

## ◆ main()

virtual QColor UserMetricsOutput::ColorTheme::main | ( |  | ) | const
| pure virtual

Middle / main QColor in the ColorTheme.

## ◆ mainChanged

void UserMetricsOutput::ColorTheme::mainChanged | ( | const QColor & | color | ) |
| signal

The middle / main QColor has changed.

Parameters

  color |

## ◆ start()

virtual QColor UserMetricsOutput::ColorTheme::start | ( |  | ) | const
| pure virtual

First / start QColor in the ColorTheme.

## ◆ startChanged

void UserMetricsOutput::ColorTheme::startChanged | ( | const QColor & | color | ) |
| signal

The first / start QColor has changed.

Parameters

  color |

## Property Documentation

## ◆ end

QColor UserMetricsOutput::ColorTheme::end
| read

Last / end QColor in the ColorTheme.

## ◆ main

QColor UserMetricsOutput::ColorTheme::main
| read

Middle / main QColor in the ColorTheme.

## ◆ start

QColor UserMetricsOutput::ColorTheme::start
| read

First / start QColor in the ColorTheme.

The documentation for this class was generated from the following file:

- libusermetricsoutput/ColorTheme.h